Package com.zfabrik.impl.components.files

## Class FilesResource

- java.lang.Object
- - com.zfabrik.resources.provider.Resource
  - - com.zfabrik.impl.components.files.FilesResource

- All Implemented Interfaces:
    `com.zfabrik.files.IFilesComponent`

      public class FilesResource
      extends com.zfabrik.resources.provider.Resource
      implements com.zfabrik.files.IFilesComponent

  A files resource does just about nothing
  Author:
    hb

- - ### Field Summary

    - ### Fields inherited from interface com.zfabrik.files.IFilesComponent

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FilesResource​(java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `as​(java.lang.Class<T> clz)` | Retrieve a typed representation of the resource.
    `java.io.File` | `getRoot()` |

    - ### Methods inherited from class com.zfabrik.resources.provider.Resource

      `as, handle, init, init, invalidate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilesResource

          public FilesResource​(java.lang.String name)

  - ### Method Detail

    - #### as

          public <T> T as​(java.lang.Class<T> clz)

      Description copied from class: `com.zfabrik.resources.provider.Resource`
      Retrieve a typed representation of the resource.

      Overrides:
        `as` in class `com.zfabrik.resources.provider.Resource`
      Parameters:
        `clz` - expected return type
      Returns:
        the expected return type instance represented by the resource or `null` if the type facade is not supported.

    - #### getRoot

          public java.io.File getRoot()
                               throws java.io.IOException

      Throws:
        `java.io.IOException`